
FROM fholzer/nginx-brotli

RUN apk add --no-cache bash certbot
RUN apk add curl
RUN true \
    && apk update && apk upgrade \
    && rm -rf /var/cache/apk/* \
    && rm -rf /tmp/* \
    && rm /etc/nginx/nginx.conf
ADD ./docker/nginx/config/gzip.conf /etc/nginx/conf.d/
ADD ./docker/nginx/config/brotli.conf /etc/nginx/conf.d/
ADD ./docker/nginx/config/security.conf /etc/nginx/config/
ADD ./docker/nginx/config/general.conf /etc/nginx/config/
ADD ./docker/nginx/config/laravel-php.conf /etc/nginx/config/
ADD ./docker/nginx/config/laravel-octane.conf /etc/nginx/config/
ADD ./docker/nginx/config/nginx.conf /etc/nginx/nginx.conf
ADD ./docker/nginx/stubs/ /etc/nginx/stubs/
#ADD ./docker/nginx/app.conf /etc/nginx/conf.d/app.conf.template
ADD ./docker/nginx/nginx-entrypoint.sh /nginx-entrypoint.sh
RUN chmod +x /nginx-entrypoint.sh \
    && dos2unix /nginx-entrypoint.sh
#The ENTRYPOINT will generate the correct configuration default.conf file, replacing the environment variables
ENTRYPOINT ["/nginx-entrypoint.sh"]

RUN set -x ; \
    addgroup -g 82 -S www-data ; \
    adduser -u 82 -D -S -G www-data www-data && exit 0 ; exit 1
 \

RUN mkdir -p /etc/nginx/conf.d/ssl

EXPOSE 80
CMD ["nginx", "-g", "daemon off;"]
